Retrieve Nexus Statement Revisions
curl --request GET \
--url https://ap.replace-me.example.com/nexus/{statementId}/revisions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/nexus/{statementId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/nexus/{statementId}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"timestamp": "2022-01-06T14:32:43.458+00:00",
"response": {
"uuid": "83c2d4bf-febc-44bd-9a97-fdb387f4199b",
"status": "NEW",
"ww_account_id": 0,
"ww_statement_id": 0,
"ww_client_id": 0,
"ww_control_code": "string",
"status_message": "string",
"nexus_json": {
"tax": 0,
"shipping": 0,
"priority": "string",
"lines": [
{
"line_item_uuid": "b9cc5c2e-53d2-47fd-9521-e1f120370f20",
"invoiceitem_quantity": 0,
"invoiceitem_unitprice": 0,
"glaccount_number": "string",
"unit_id_alt": "string",
"utilityusagetype_name": "string",
"utilityaccount_accountnumber": "string",
"invoiceitem_description": "string",
"property_id_alt": "string",
"invoiceitem_taxflag": "N",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string"
}
],
"integration_package_name": "JDE",
"property_id_alt": "12345",
"vendor_id_alt": "12345",
"userprofile_username": "EWServices",
"invoice_datetm": "2020-12-10",
"invoice_ref": "string",
"invoice_duedate": "2020-12-10",
"invoice_period": "2020-12-10",
"control_amount": 0,
"remit_advice": 0,
"invoice_private": 0,
"currency_code": "string",
"country_code": "string",
"invoice_cycle_from": "2020-12-10",
"invoice_cycle_to": "2020-12-10",
"invoice_note": "string",
"invoice_budgetoverage_note": "string",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string",
"invoicepayment_type": "string"
}
}
}
]Accounts Payable API - Audit Statements
Retrieve Nexus Statement Revisions
A GET request will list all of a Nexus statement’s revisions*.* If a response is null, the statement was deleted.
Response Body Structure
| Path | Type | Description |
|---|---|---|
[].response | Nexus Statement Model | The statement’s raw body at a given revision |
[].timestamp | Timestamp | The timestamp for a statement’s revision |
GET
/
nexus
/
{statementId}
/
revisions
Retrieve Nexus Statement Revisions
curl --request GET \
--url https://ap.replace-me.example.com/nexus/{statementId}/revisions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/nexus/{statementId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/nexus/{statementId}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"timestamp": "2022-01-06T14:32:43.458+00:00",
"response": {
"uuid": "83c2d4bf-febc-44bd-9a97-fdb387f4199b",
"status": "NEW",
"ww_account_id": 0,
"ww_statement_id": 0,
"ww_client_id": 0,
"ww_control_code": "string",
"status_message": "string",
"nexus_json": {
"tax": 0,
"shipping": 0,
"priority": "string",
"lines": [
{
"line_item_uuid": "b9cc5c2e-53d2-47fd-9521-e1f120370f20",
"invoiceitem_quantity": 0,
"invoiceitem_unitprice": 0,
"glaccount_number": "string",
"unit_id_alt": "string",
"utilityusagetype_name": "string",
"utilityaccount_accountnumber": "string",
"invoiceitem_description": "string",
"property_id_alt": "string",
"invoiceitem_taxflag": "N",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string"
}
],
"integration_package_name": "JDE",
"property_id_alt": "12345",
"vendor_id_alt": "12345",
"userprofile_username": "EWServices",
"invoice_datetm": "2020-12-10",
"invoice_ref": "string",
"invoice_duedate": "2020-12-10",
"invoice_period": "2020-12-10",
"control_amount": 0,
"remit_advice": 0,
"invoice_private": 0,
"currency_code": "string",
"country_code": "string",
"invoice_cycle_from": "2020-12-10",
"invoice_cycle_to": "2020-12-10",
"invoice_note": "string",
"invoice_budgetoverage_note": "string",
"universal_field1": "string",
"universal_field2": "string",
"universal_field3": "string",
"universal_field4": "string",
"universal_field5": "string",
"universal_field6": "string",
"universal_field7": "string",
"universal_field8": "string",
"invoicepayment_type": "string"
}
}
}
]
